varying vec2 	texcoord;
varying vec4	VPOS;
uniform vec3 	corner;
uniform mat4	eyeToWorld;

attribute vec3	s2_vertex;
attribute vec4	s2_texcoords; 

void main()
{
	gl_Position=vec4(s2_vertex,1.0);
	texcoord = s2_texcoords.st;
	VPOS=vec4((s2_vertex*corner)/corner.z,0.0);
	VPOS=eyeToWorld*VPOS;
	//VPOS.xyz=normalize(VPOS.xyz);
}